Will be required by a futur patch

Signed-off-by: Michel Normand <normand@fr.ibm.com>
Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/start.c |    9 ---------
 src/lxc/start.h |    9 ++++++++-
 2 files changed, 8 insertions(+), 10 deletions(-)

Index: lxc/src/lxc/start.c
===================================================================
--- lxc.orig/src/lxc/start.c
+++ lxc/src/lxc/start.c
@@ -100,15 +100,6 @@ lxc_log_define(lxc_start, lxc);
 LXC_TTY_HANDLER(SIGINT);
 LXC_TTY_HANDLER(SIGQUIT);
 
-struct lxc_handler {
-	int sigfd;
-	int lock;
-	pid_t pid;
-	char tty[MAXPATHLEN];
-	sigset_t oldmask;
-	struct lxc_tty_info tty_info;
-};
-
 static int setup_sigchld_fd(sigset_t *oldmask)
 {
 	sigset_t mask;
Index: lxc/src/lxc/start.h
===================================================================
--- lxc.orig/src/lxc/start.h
+++ lxc/src/lxc/start.h
@@ -21,7 +21,14 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */
 
-struct lxc_handler;
+struct lxc_handler {
+	int sigfd;
+	int lock;
+	pid_t pid;
+	char tty[MAXPATHLEN];
+	sigset_t oldmask;
+	struct lxc_tty_info tty_info;
+};
 
 extern struct lxc_handler *lxc_init(const char *name);
 extern int lxc_spawn(const char *name, struct lxc_handler *handler,



